From 7aeddb768e3b29595569976a6dc03b1b0c71c66f Mon Sep 17 00:00:00 2001
From: Gurjeet Singh <gurjeet@singh.im>
Date: Thu, 20 Apr 2023 19:17:29 -0700
Subject: [PATCH v1] Make require_auth error message similar to surrounding
 messages

This error message string was not consistent with the similar error
messages in the neighboring code. Hence changed to make the code
uniform.
---
 src/interfaces/libpq/fe-connect.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/interfaces/libpq/fe-connect.c b/src/interfaces/libpq/fe-connect.c
index fcd3d0d9a3..75dee687b0 100644
--- a/src/interfaces/libpq/fe-connect.c
+++ b/src/interfaces/libpq/fe-connect.c
@@ -1407,8 +1407,8 @@ connectOptions2(PGconn *conn)
 			else
 			{
 				conn->status = CONNECTION_BAD;
-				libpq_append_conn_error(conn, "invalid require_auth method: \"%s\"",
-										method);
+				libpq_append_conn_error(conn, "invalid %s method: \"%s\"",
+										"require_auth", method);
 
 				free(part);
 				return false;
-- 
2.35.1

